<?xml version='1.0' encoding='UTF-8'?>
<repository xmlns="http://www.osgi.org/xmlns/repository/v1.0.0" name="Liferay Foundation - Liferay Portal Security - Impl" increment="1">
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.security.antisamy"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="3.0.30.hotfix-7057-7110" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="3.0.30.hotfix-7057-7110" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.security.antisamy"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="3.0.30.hotfix-7057-7110" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.security.antisamy"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.portal.security.antisamy"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="2690893" type="Long"/>
      <attribute name="url" value="com.liferay.portal.security.antisamy-3.0.30.hotfix-7057-7110.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="0B5B9D759EB4664389545B3D7CC39704C3CC72E19105265101B1292FEDCA5B0E"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.w3c.dom))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.sanitizer)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.crypto))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.crypto.spec))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.imageio))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.imageio.event))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.imageio.metadata))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.imageio.plugins.jpeg))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.imageio.spi))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.imageio.stream))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.naming))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.naming.directory))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.naming.ldap))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.net))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.net.ssl))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.security.auth.x500))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.parsers))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform.dom))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform.sax))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform.stream))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.validation))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.commons.io))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.commons.io.output))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.xerces.dom))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.xerces.impl))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.xerces.parsers))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.xerces.util))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.xerces.xni))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.xerces.xni.parser))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.xml.serialize))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.ietf.jgss))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.slf4j))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.w3c.dom.css))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.w3c.dom.events))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.w3c.dom.views))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.xml.sax))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.xml.sax.helpers))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.security.auth.verifier"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="3.0.24" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="3.0.24" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.security.auth.verifier"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="3.0.24" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.security.auth.verifier"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.upgrade.registry"/>
      <attribute name="objectClass" value="com.liferay.portal.upgrade.registry.UpgradeStepRegistrator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.portal.security.auth.verifier"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="75136" type="Long"/>
      <attribute name="url" value="com.liferay.portal.security.auth.verifier-3.0.24.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="2DDE5483B5B4F04B96490C2E57A47D89ACC5362C993771D85BF4FAABDD4CD9B2"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(version&gt;=2.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.persistence.upgrade)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.access.control)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth.http)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth.tunnel)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth.verifier)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auto.login)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.service.access.policy)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.upgrade)(version&gt;=7.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.auth)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.servlet.filters.authverifier)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.upgrade.registry)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.http.context)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.configuration.persistence.upgrade.ConfigurationUpgradeStepFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.auto.login.AutoLogin)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.security.auto.login"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="3.0.26" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="3.0.26" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.security.auto.login"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="3.0.26" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.security.auto.login"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.auto.login"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.auto.login.AutoLogin" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.settings.definition"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.settings.definition.ConfigurationBeanDeclaration" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.settings.definition"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.settings.definition.ConfigurationPidMapping" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.portal.security.auto.login"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="68857" type="Long"/>
      <attribute name="url" value="com.liferay.portal.security.auto.login-3.0.26.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="ED9B8597035B4635FF2590B56005084DD75A43282CCEB65BE50E7BB73FDDDA4A"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.module.configuration)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.access.control)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth.http)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auto.login)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.pwd)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.54.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.settings)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.settings.definition)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.exportimport)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.module.configuration.ConfigurationProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.auto.login.AutoLogin)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.UserLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.exportimport.UserImporter)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.security.ldap.impl"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.48" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.48" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.security.ldap.impl"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.48" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.security.ldap.impl"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.configuration.persistence.listener,com.liferay.portal.security.ldap.internal.messaging"/>
      <attribute name="objectClass" value="com.liferay.portal.configuration.persistence.listener.ConfigurationModelListener,com.liferay.portal.security.ldap.internal.messaging.UserImportMessageListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.instance.lifecycle"/>
      <attribute name="objectClass" value="com.liferay.portal.instance.lifecycle.PortalInstanceLifecycleListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.model"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.model.ModelListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.auth"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.auth.Authenticator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.ldap"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.ldap.AttributesTransformer" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.ldap"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.ldap.LDAPSettings" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.security.exportimport"/>
      <attribute name="objectClass" value="com.liferay.portal.security.exportimport.UserExporter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.security.exportimport,com.liferay.portal.security.ldap.exportimport"/>
      <attribute name="objectClass" value="com.liferay.portal.security.exportimport.UserImporter,com.liferay.portal.security.ldap.exportimport.LDAPUserImporter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.security.ldap"/>
      <attribute name="objectClass" value="com.liferay.portal.security.ldap.PortalLDAP" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.security.ldap.configuration"/>
      <attribute name="objectClass" value="com.liferay.portal.security.ldap.configuration.ConfigurationProvider" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.security.ldap.exportimport"/>
      <attribute name="objectClass" value="com.liferay.portal.security.ldap.exportimport.LDAPToPortalConverter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.security.ldap.exportimport"/>
      <attribute name="objectClass" value="com.liferay.portal.security.ldap.exportimport.PortalToLDAPConverter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.security.ldap.validator"/>
      <attribute name="objectClass" value="com.liferay.portal.security.ldap.validator.LDAPFilterValidator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.verify"/>
      <attribute name="objectClass" value="com.liferay.portal.verify.VerifyProcess" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="org.osgi.service.cm"/>
      <attribute name="objectClass" value="org.osgi.service.cm.ConfigurationListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="1289308" type="Long"/>
      <attribute name="url" value="com.liferay.portal.security.ldap.impl-1.0.48.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="0EBAE2CC00F98FDE818A9704236D5238FA18D712358C24FC352DB4BD166CCD0C"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.admin.kernel.util)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.model)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.service)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.util)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.lang)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.persistence.listener)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.instance.lifecycle)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.bean)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cache)(version&gt;=7.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.language)(version&gt;=7.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.lock)(version&gt;=7.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.messaging)(version&gt;=8.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.scheduler)(version&gt;=7.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.exportimport)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.ldap)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.pwd)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.53.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.persistence)(version&gt;=1.29.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.transaction)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.34.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.exportimport)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap.authenticator.configuration)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap.configuration)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap.constants)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap.dummy)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap.exportimport)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap.exportimport.configuration)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap.util)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.ldap.validator)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.verify))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.naming))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.naming.directory))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.naming.ldap))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing.event))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing.tree))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.commons.lang.time)(version&gt;=2.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.cm)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.admin.kernel.util.Omniadmin)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.expando.kernel.service.ExpandoValueLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.cache.SingleVMPool)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.lock.LockManager)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.messaging.Destination)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.messaging.DestinationFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.scheduler.SchedulerEngineHelper)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.scheduler.TriggerFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.ldap.AttributesTransformer)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.ldap.LDAPSettings)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.pwd.PasswordEncryptor)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.CompanyLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.GroupLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.ImageLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.ListTypeService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.MembershipRequestLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.RoleLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.UserGroupLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.UserLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.persistence.ContactPersistence)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.persistence.UserPersistence)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.PrefsProps)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Props)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.exportimport.UserExporter)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.exportimport.UserImporter)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.ldap.PortalLDAP)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.ldap.configuration.ConfigurationProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.ldap.configuration.ConfigurationProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.ldap.exportimport.LDAPToPortalConverter)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.ldap.exportimport.LDAPUserImporter)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.ldap.exportimport.PortalToLDAPConverter)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.ldap.validator.LDAPFilterValidator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=org.osgi.service.cm.ConfigurationAdmin)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.security.permission.impl"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.23" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.23" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.security.permission.impl"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.23" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.security.permission.impl"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.permission"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.permission.InlineSQLHelper" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.portal.security.permission.impl"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="27214" type="Long"/>
      <attribute name="url" value="com.liferay.portal.security.permission.impl-1.0.23.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="514A52F61B4C1F386E04E414827107190694BE7A897C36E2F4932A220E7F9223"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.asset.kernel.model)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.service.tracker.collections.map)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.dao.orm.custom.sql)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.53.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.36.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.permission.contributor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.dao.orm.custom.sql.CustomSQL)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.GroupLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.ResourcePermissionLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.security.service.access.policy.service"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="3.0.45" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="3.0.45" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.security.service.access.policy.service"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="3.0.45" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.security.service.access.policy.service"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.model"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.model.ModelListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.access.control"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.access.control.AccessControlPolicy" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.permission.resource"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.permission.resource"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.permission.resource.PortletResourcePermission" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.service.access.policy"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.service.access.policy.ServiceAccessPolicyManager" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.settings.definition"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.settings.definition.ConfigurationBeanDeclaration" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.settings.definition"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.settings.definition.ConfigurationPidMapping" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.upgrade.registry"/>
      <attribute name="objectClass" value="com.liferay.portal.upgrade.registry.UpgradeStepRegistrator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.verify"/>
      <attribute name="objectClass" value="com.liferay.portal.verify.VerifyProcess" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <attribute name="objectClass" value="com.liferay.portal.security.service.access.policy.service.SAPEntryLocalService" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <attribute name="objectClass" value="com.liferay.portal.security.service.access.policy.service.SAPEntryService" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="127463" type="Long"/>
      <attribute name="url" value="com.liferay.portal.security.service.access.policy.service-3.0.45.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="8C38F4111F1989811AC2004BD935A7587B8E0E7B96C5842A43C8046EC72C7F6C"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.counter.kernel.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.model)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.util)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.exportimport.kernel.lar)(version&gt;=1.17.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.bean)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.configuration)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.db)(version&gt;=7.7.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.jdbc)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.orm)(version&gt;=7.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.json)(version&gt;=7.11.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model.impl)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.module.configuration)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.module.framework.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.search)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.access.control)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth.verifier)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission.resource)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.service.access.policy)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.53.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.http)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.persistence)(version&gt;=1.29.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.persistence.impl)(version&gt;=1.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.settings)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.settings.definition)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.transaction)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.upgrade)(version&gt;=7.9.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.34.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.uuid)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.configuration)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.constants)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.exception)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.service.persistence)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.spring.extender.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.upgrade.registry)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.verify))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.sql))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.module.configuration.ConfigurationProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.permission.resource.PortletResourcePermission)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.CompanyLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.service.access.policy.service.SAPEntryLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.service.access.policy.service.SAPEntryService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="liferay.extender">
      <directive name="filter" value="(&amp;(liferay.extender=spring.extender)(version&gt;=3.0)(!(version&gt;=4.0)))"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.security.service.access.policy.web"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.31" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.31" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.security.service.access.policy.web"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.31" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.security.service.access.policy.web"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.application.list"/>
      <attribute name="objectClass" value="com.liferay.application.list.PanelApp" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.portlet"/>
      <attribute name="objectClass" value="javax.portlet.Portlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.portal.security.service.access.policy.web"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="132632" type="Long"/>
      <attribute name="url" value="com.liferay.portal.security.service.access.policy.web-2.0.31.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="C7F7B12DBF8A263E74D43AD34D0A9AE31CFDC01CDB33B17DF43AAA77A2D378B8"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.application.list)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.model)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.frontend.taglib.clay.servlet.taglib.util)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.annotation)(version&gt;=6.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.search)(version&gt;=7.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.json)(version&gt;=7.11.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.jsonwebservice)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.language)(version&gt;=7.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.module.configuration)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.portlet)(version&gt;=8.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.portlet.bridges.mvc)(version&gt;=1.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.resiliency.spi.agent.annotation)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.access.control)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission.resource)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.53.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet.taglib.ui)(version&gt;=6.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.theme)(version&gt;=1.7.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.upload)(version&gt;=6.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.34.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.constants)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.exception)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.util.comparator)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.taglib.search)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.portlet))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.portlet.annotations))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.jsp)(version&gt;=2.3.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://java.sun.com/portlet_2_0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/clay))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/frontend))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/portlet))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/security))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.jsonwebservice.JSONWebServiceActionsManager)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.model.Portlet)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.permission.resource.PortletResourcePermission)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.service.access.policy.service.SAPEntryService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.contract">
      <directive name="filter" value="(&amp;(osgi.contract=JavaPortlet)(version=3.0.0))"/>
      <attribute name="osgi.contract" value="JavaPortlet"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
</repository>
